SDL_WinRTGetFSPath(3)

NAME
SDL_WinRTGetFSPath - Retrieve a WinRT defined path on the local file system.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

const char * SDL_WinRTGetFSPath(SDL_WinRT_Path pathType);

DESCRIPTION
Not all paths are available on all versions of Windows. This is especially true on Windows Phone. Check the documentation for the given SDL_WinRT_Path
 for more information on which path types are supported where. Documentation on most app-specific path types on WinRT can be found on MSDN, at the URL: https://msdn.microsoft.com/en-us/library/windows/apps/hh464917.aspx

FUNCTION PARAMETERS

pathType
    the type of path to retrieve, one of SDL_WinRT_Path

RETURN VALUE
Returns a UTF-8 string (8-bit, multi-byte) containing the path, or NULL if the path is not available for any reason; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.